/* WeirdX - Guess.
 *
 * Copyright (C) 1999 JCraft, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package com.jcraft.weirdx;

final class Error{
  static final int Success=0;
  static final int BadRequest=1;
  static final int BadValue=2;
  static final int BadWindow=3;
  static final int BadPixmap=4;
  static final int BadAtom=5;
  static final int BadCursor=6;
  static final int BadFont=7;
  static final int BadMatch=8;
  static final int BadDrawable=9;
  static final int BadAccess=10;
  static final int BadAlloc=11;
  static final int BadColor=12;
  static final int BadGC=13;
  static final int BadIDChoice=14;
  static final int BadName=15;
  static final int BadLength=16;
  static final int BadImplementation=17;
}
